export namespace dietTotals {
    let id: string;
    let type: string;
    let display: string;
    let description: string;
    namespace columns {
        let measures: ({
            id: string;
            display: string;
            displayValue?: never;
        } | {
            id: string;
            displayValue: boolean;
            display?: never;
        })[];
        let expectNulls: boolean;
    }
}
export namespace dietTotalsByEstablishment {
    let id_1: string;
    export { id_1 as id };
    let type_1: string;
    export { type_1 as type };
    let display_1: string;
    export { display_1 as display };
    let description_1: string;
    export { description_1 as description };
    export namespace columns_1 {
        export let keys: {
            id: string;
            display: string;
        }[];
        let measures_1: ({
            id: string;
            display: string;
            displayValue?: never;
        } | {
            id: string;
            displayValue: boolean;
            display?: never;
        })[];
        export { measures_1 as measures };
        let expectNulls_1: boolean;
        export { expectNulls_1 as expectNulls };
    }
    export { columns_1 as columns };
}
export namespace dietTotalsByEstablishmentByWing {
    let id_2: string;
    export { id_2 as id };
    let type_2: string;
    export { type_2 as type };
    let display_2: string;
    export { display_2 as display };
    let description_2: string;
    export { description_2 as description };
    export namespace columns_2 {
        let keys_1: {
            id: string;
            display: string;
        }[];
        export { keys_1 as keys };
        let measures_2: ({
            id: string;
            display: string;
            displayValue?: never;
        } | {
            id: string;
            displayValue: boolean;
            display?: never;
        })[];
        export { measures_2 as measures };
        let expectNulls_2: boolean;
        export { expectNulls_2 as expectNulls };
    }
    export { columns_2 as columns };
}
export namespace dietTotalsByEstablishmentOptional {
    let id_3: string;
    export { id_3 as id };
    let type_3: string;
    export { type_3 as type };
    let display_3: string;
    export { display_3 as display };
    let description_3: string;
    export { description_3 as description };
    export namespace columns_3 {
        let keys_2: {
            id: string;
            display: string;
            optional: boolean;
        }[];
        export { keys_2 as keys };
        let measures_3: ({
            id: string;
            display: string;
            displayValue?: never;
        } | {
            id: string;
            displayValue: boolean;
            display?: never;
        })[];
        export { measures_3 as measures };
        let expectNulls_3: boolean;
        export { expectNulls_3 as expectNulls };
    }
    export { columns_3 as columns };
}
export namespace dietTotalsFlexible {
    let id_4: string;
    export { id_4 as id };
    let type_4: string;
    export { type_4 as type };
    let display_4: string;
    export { display_4 as display };
    let description_4: string;
    export { description_4 as description };
    export namespace columns_4 {
        let keys_3: {
            id: string;
            display: string;
            optional: boolean;
        }[];
        export { keys_3 as keys };
        let measures_4: ({
            id: string;
            display: string;
            displayValue?: never;
        } | {
            id: string;
            displayValue: boolean;
            display?: never;
        })[];
        export { measures_4 as measures };
        let expectNulls_4: boolean;
        export { expectNulls_4 as expectNulls };
    }
    export { columns_4 as columns };
}
export namespace dietTotalsByEstablishmentByWingByCell {
    let id_5: string;
    export { id_5 as id };
    let type_5: string;
    export { type_5 as type };
    let display_5: string;
    export { display_5 as display };
    let description_5: string;
    export { description_5 as description };
    export namespace columns_5 {
        let keys_4: {
            id: string;
            display: string;
        }[];
        export { keys_4 as keys };
        let measures_5: ({
            id: string;
            display: string;
            displayValue?: never;
        } | {
            id: string;
            displayValue: boolean;
            display?: never;
        })[];
        export { measures_5 as measures };
        export let filters: {
            id: string;
            equals: string;
        }[];
    }
    export { columns_5 as columns };
}
export namespace dietTotalsByEstablishmentByWingByCellLoop {
    let id_6: string;
    export { id_6 as id };
    let type_6: string;
    export { type_6 as type };
    let display_6: string;
    export { display_6 as display };
    let description_6: string;
    export { description_6 as description };
    export namespace columns_6 {
        let keys_5: {
            id: string;
            display: string;
        }[];
        export { keys_5 as keys };
        let measures_6: ({
            id: string;
            display: string;
            displayValue?: never;
        } | {
            id: string;
            displayValue: boolean;
            display?: never;
        })[];
        export { measures_6 as measures };
    }
    export { columns_6 as columns };
}
export namespace dataQualityAllEstablishmentsMetricOne {
    let id_7: string;
    export { id_7 as id };
    let type_7: string;
    export { type_7 as type };
    let display_7: string;
    export { display_7 as display };
    let description_7: string;
    export { description_7 as description };
    export namespace options {
        let useRagColour: boolean;
        let buckets: ({
            min: number;
            max: number;
        } | {
            min: number;
            max?: never;
        })[];
    }
    export namespace columns_7 {
        let keys_6: {
            id: string;
            display: string;
        }[];
        export { keys_6 as keys };
        let measures_7: ({
            id: string;
            display: string;
            displayValue?: never;
        } | {
            id: string;
            displayValue: boolean;
            display?: never;
        })[];
        export { measures_7 as measures };
    }
    export { columns_7 as columns };
}
export namespace dataQualityAllEstablishmentsNoMetricOne {
    let id_8: string;
    export { id_8 as id };
    let type_8: string;
    export { type_8 as type };
    let display_8: string;
    export { display_8 as display };
    let description_8: string;
    export { description_8 as description };
    export namespace columns_8 {
        let keys_7: {
            id: string;
            display: string;
        }[];
        export { keys_7 as keys };
        let measures_8: ({
            id: string;
            display: string;
            displayValue?: never;
        } | {
            id: string;
            displayValue: boolean;
            display?: never;
        })[];
        export { measures_8 as measures };
    }
    export { columns_8 as columns };
}
export namespace dataQualityAllEstablishmentsMetricThree {
    let id_9: string;
    export { id_9 as id };
    let type_9: string;
    export { type_9 as type };
    let display_9: string;
    export { display_9 as display };
    let description_9: string;
    export { description_9 as description };
    export namespace columns_9 {
        let keys_8: {
            id: string;
            display: string;
        }[];
        export { keys_8 as keys };
        let measures_9: ({
            id: string;
            display: string;
            displayValue?: never;
        } | {
            id: string;
            displayValue: boolean;
            display?: never;
        })[];
        export { measures_9 as measures };
    }
    export { columns_9 as columns };
}
export namespace dataQualityAllEstablishmentsNoMetricThree {
    let id_10: string;
    export { id_10 as id };
    let type_10: string;
    export { type_10 as type };
    let display_10: string;
    export { display_10 as display };
    let description_10: string;
    export { description_10 as description };
    export namespace columns_10 {
        let keys_9: {
            id: string;
            display: string;
        }[];
        export { keys_9 as keys };
        let measures_10: ({
            id: string;
            display: string;
            displayValue?: never;
        } | {
            id: string;
            displayValue: boolean;
            display?: never;
        })[];
        export { measures_10 as measures };
    }
    export { columns_10 as columns };
}
export namespace dataQualityAllEstablishmentsMetricTwo {
    let id_11: string;
    export { id_11 as id };
    let type_11: string;
    export { type_11 as type };
    let display_11: string;
    export { display_11 as display };
    let description_11: string;
    export { description_11 as description };
    export namespace options_1 {
        let useRagColour_1: boolean;
        export { useRagColour_1 as useRagColour };
    }
    export { options_1 as options };
    export namespace columns_11 {
        let keys_10: {
            id: string;
            display: string;
        }[];
        export { keys_10 as keys };
        let measures_11: ({
            id: string;
            display: string;
            displayValue?: never;
        } | {
            id: string;
            displayValue: boolean;
            display?: never;
        })[];
        export { measures_11 as measures };
    }
    export { columns_11 as columns };
}
export namespace dataQualityAllEstablishmentsNoMetricTwo {
    let id_12: string;
    export { id_12 as id };
    let type_12: string;
    export { type_12 as type };
    let display_12: string;
    export { display_12 as display };
    let description_12: string;
    export { description_12 as description };
    export namespace columns_12 {
        let keys_11: {
            id: string;
            display: string;
        }[];
        export { keys_11 as keys };
        let measures_12: ({
            id: string;
            display: string;
            displayValue?: never;
        } | {
            id: string;
            displayValue: boolean;
            display?: never;
        })[];
        export { measures_12 as measures };
    }
    export { columns_12 as columns };
}
export namespace dataQualityAllCols {
    let id_13: string;
    export { id_13 as id };
    let type_13: string;
    export { type_13 as type };
    let display_13: string;
    export { display_13 as display };
    let description_13: string;
    export { description_13 as description };
    export namespace options_2 {
        let useRagColour_2: boolean;
        export { useRagColour_2 as useRagColour };
    }
    export { options_2 as options };
    export namespace columns_13 {
        let keys_12: {
            id: string;
            display: string;
        }[];
        export { keys_12 as keys };
        let measures_13: {
            id: string;
            display: string;
        }[];
        export { measures_13 as measures };
    }
    export { columns_13 as columns };
}
export namespace dataQualityAllColsList {
    let id_14: string;
    export { id_14 as id };
    let type_14: string;
    export { type_14 as type };
    let display_14: string;
    export { display_14 as display };
    let description_14: string;
    export { description_14 as description };
    export let cols: boolean;
    export namespace columns_14 {
        let keys_13: {
            id: string;
        }[];
        export { keys_13 as keys };
        let measures_14: {
            id: string;
            display: string;
        }[];
        export { measures_14 as measures };
    }
    export { columns_14 as columns };
}
